body {
  height: auto;
}

.container {
  grid-template-rows: 10vh minmax(110vh, 100%) 6vh;
}

.scale {
  animation: scale 0.2s ease-in-out forwards;
}

@keyframes scale {
  0% {
    transform: scale(0);
    filter: blur(0.5rem);
  }

  100% {
    transform: scale(1);
    filter: blur(0);
  }
}

main {
  width: 60vw;
  height: 100%;
  display: grid;
  place-items: center;
}

h1 {
  --font: 3rem;
  font-size: var(--font);
  letter-spacing: var(--font) * -0.02;
}

.box {
  width: 60vw;
  height: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
}

.first {
  width: 100%;
  background: rgb(24, 24, 24);
  border-radius: 1rem;
  display: grid;
  grid-template-columns: 40% 60%;
  overflow: hidden;
}

.img {
  width: 100%;
  height: 100%;
  background-image: url(img/caring\ of\ elderly.webp);
  background-position: center;
  background-size: cover;
}

.text {
  width: 100%;
  height: 100%;
  grid-column: 2;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding: 3rem;
}

.text h2 {
  width: 100%;
  height: auto;
  font-size: 2.5rem;
  color: #da9e34;
}

.text p {
  width: 100%;
  font-size: 1.2rem;
  text-align: justify;
  line-height: calc(1.2rem * 1.6);
}

.second {
  width: 100%;
  border-radius: 1rem;
  background-color: rgb(24, 24, 24);
  padding: 3rem 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.second h2 {
  width: 100%;
  height: auto;
  font-size: 2.5rem;
  color: #da9e34;
}

.second p {
  width: 100%;
  font-size: 1.2rem;
  text-align: justify;
  line-height: calc(1.2rem * 1.6);
}

.third {
  width: 100%;
  height: 30vh;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2vw;
}

.card {
  width: 33.3%;
  height: 100%;
  background: rgb(24, 24, 24);
  border-radius: 1rem;
  display: flex;
  align-items: center;
  justify-content: start;
  flex-direction: column;
  box-shadow: 0 0 1rem rgba(0, 0, 0, 0.3);
  padding: 0 2%;
  padding-top: 2%;
}

.pic {
  --size: 4.5rem;
  width: var(--size);
  height: var(--size);
  background-image: url(img/pic.jpg);
  background-position: 50% 0;
  background-size: 135%;
  background-repeat: no-repeat;
  border-radius: 50%;
  border: #fff solid 0.2rem;
}

.s-pic {
  background-image: url(img/pic2.jpg);
  background-position: center;
  background-size: cover;
}

.t-pic {
  background-image: url(img/pic3.jpg);
  background-position: center;
  background-size: cover;
}

.card h3 {
  font-size: 1.4rem;
  color: #da9e34;
}

.card p {
  text-align: center;
  font-size: 1rem;
}

footer {
  grid-row: 3;
  width: 100vw;
  height: 6vh;
  background: var(--main);
  display: grid;
  place-items: center;
}

@media screen and (width: 1280px) {
  html {
    font-size: 11px;
  }
}

@media screen and (width: 3840px) {
  html {
    font-size: 32px;
  }
}

@media screen and (min-width: 641px) and (max-width: 1000px) {
  html {
    font-size: 24px;
  }
  body {
    height: auto;
  }
  .container {
    grid-template-rows: 10vh minmax(280vh, 100%) 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 3rem;
    height: 3rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 1.5rem;
    height: 1.5rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }

  main {
    width: 90%;
    height: 100%;
    grid-row: 2;
  }
  .box {
    width: 100%;
    gap: 2vh;
    justify-content: start;
  }

  .first {
    grid-template-columns: 100%;
  }

  .first h2 {
    font-size: 2.2rem;
    width: 100%;
  }

  .text {
    grid-column: 1;
  }
  .img {
    display: none;
  }

  .second h2 {
    font-size: 2.2rem;
  }

  .third {
    flex-direction: column;
    justify-content: start;
    gap: 2vh;
  }

  .card {
    width: 100%;
    min-height: 45vh;
    padding: 2rem;
  }

  .pic {
    width: 10rem;
    min-height: 10rem;
  }
}

@media screen and (min-width: 641px) and (max-width: 768px) {
  body {
    height: auto;
  }

  .container {
    grid-template-rows: 10vh minmax(280vh, 100%) 6vh;
  }

  html {
    font-size: 22px;
  }
}

.menu-show {
  animation: 0.2s menu-show linear;
}

@keyframes menu-show {
  0% {
    left: 100%;
  }
  100% {
    right: -100%;
  }
}

.menu-close {
  animation: 0.2s menu-close linear;
}

@keyframes menu-close {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(150%);
  }
}

@media screen and (max-width: 600px) {
  html {
    font-size: 15px;
  }
  body {
    height: auto;
  }
  .container {
    grid-template-rows: 10vh minmax(265vh, 100%) 6vh;
    width: 100vw;
  }

  nav {
    width: 100vw;
    height: 10vh;
    display: grid;
    background: rgb(24, 24, 24);
    grid-template-columns: 20% 80%;
    place-items: center;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 999;
  }

  .links {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: #da9e34;
    justify-content: center;
    align-items: start;
    flex-flow: column;
    font-size: 2rem;
  }

  .links a {
    margin-top: 3vh;
    margin-left: 20%;
  }

  .links a:nth-child(1) {
    margin: 0;
    margin-left: 20%;
  }

  .lang {
    width: 2rem;
    height: 2rem;
    border-radius: 100%;
  }

  a.lang {
    margin: 0;
    margin-left: 20%;
    position: absolute;
    top: 3vh;
  }

  .spacer {
    display: none;
  }

  .sm {
    display: flex;
    gap: 3rem;
    margin-top: 3vh;
    margin-left: 20%;
  }
  .ic {
    width: 4rem;
    height: 4rem;
    z-index: 111;
    margin-top: 1vh;
  }

  .links a:hover {
    color: #525252;
  }

  .ic:hover {
    color: #fff;
  }

  .ic:focus {
    color: #525252;
  }

  .menu {
    width: 2rem;
    height: 2rem;
    position: absolute;
    top: 3vh;
    right: 10vw;
    display: block;
    cursor: pointer;
  }

  .menu:active {
    color: #da9e34;
  }

  main {
    width: 90%;
    height: 100%;
    grid-row: 2;
  }

  .box {
    width: 100%;
    gap: 2vh;
    justify-content: start;
  }

  .first {
    grid-template-columns: 100%;
  }

  .first h2 {
    font-size: 1.7rem;
    width: 100%;
  }

  .text {
    grid-column: 1;
  }
  .img {
    display: none;
  }

  .second h2 {
    font-size: 1.8rem;
  }

  .third {
    flex-direction: column;
    justify-content: start;
    gap: 2vh;
  }

  .card {
    width: 100%;
    min-height: 40vh;
    padding: 2rem;
  }

  .pic {
    width: 10rem;
    min-height: 10rem;
  }
}

@media screen and (max-width: 400px) {
  .container {
    grid-template-rows: 10vh minmax(300vh, 100%) 6vh;
  }

  html {
    font-size: 14px;
  }
  .box {
    width: 100%;
    gap: 2vh;
    justify-content: start;
  }

  .first {
    grid-template-columns: 100%;
  }

  .first h2 {
    font-size: 1.5rem;
    width: 100%;
  }

  .text {
    grid-column: 1;
  }
  .img {
    display: none;
  }

  .second h2 {
    font-size: 1.5rem;
  }

  .third {
    flex-direction: column;
    justify-content: start;
    gap: 2vh;
  }

  .card {
    width: 100%;
    min-height: 45vh;
    padding: 2rem;
  }

  .pic {
    width: 10rem;
    min-height: 10rem;
  }
}

@media screen and (min-width: 250px) and (max-width: 300px) {
  html {
    font-size: 10px;
  }
}
